Bug 816176 - Enable/Disable Proxy for specific repo feeds
Enable/Disable Proxy for specific repo feeds
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
All All
unspecified Severity low
: ---
: ---
Assigned To: John Matthews
Preethi Thomas
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 08:31 EDT by Tom Bamford
Modified: 2013-10-28 08:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 08:26:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Bamford 2012-04-25 08:31:33 EDT
Description of problem:

This could be considered a functionality request as well as a bug. Currently, it is possible to use a proxy by introducing the following into global config in pulp.conf...

[yum]
proxy_url: http://{MY_PROXY_IP}
proxy_port: 80

Our use case here is that we require a proxy to be used for external feeds, such as CentOS, RHEL and EPEL. We need the proxy to be *disabled* for internal feeds, such as from Spacewalk.


Version-Release number of selected component (if applicable):
1.0.0-2.el6 (EPEL release)

How reproducible:
Always

Steps to Reproduce:
1. Enable proxy in pulp.conf
2. Create a repo with external feed
3. Create a repo with internal feed
4. Sync both repos
  
Actual results:
Only internal or external feed will sync depending on whether proxy is enabled or disabled.

Expected results:
Both internal and external feeds will sync without needing to change config.

Additional info:

This is low severity as the workaround is to disable/enable proxy and sync manually.
Comment 1 Todd Sanders 2013-08-05 09:12:23 EDT
Pulp already provides for the desired functionality.  Pulp supports either specifying the proxy details (1) on a per repo basis, or (2) globally.

See:
https://pulp-rpm-user-guide.readthedocs.org/en/pulp-2.1/recipes.html#use-a-proxy

So in your specific situation, you would set the proxy configuration *only* on the externally feed repositories.
Comment 2 Tom Bamford 2013-10-28 08:26:21 EDT
Fixed in current release.

Note You need to log in before you can comment on or make changes to this bug.